Package org.apache.tapestry5.internal.bindings

## Class LiteralBinding

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.bindings.AbstractBinding
    - - org.apache.tapestry5.internal.bindings.LiteralBinding

- All Implemented Interfaces:
    `Binding`, `Binding2`, `AnnotationProvider`, `Locatable`

      public class LiteralBinding
      extends AbstractBinding

  Binding type for literal, immutable values. Literal bindings are invariant; any value provided by a LiteralBinding, even if coerced, will be cached aggresively by Tapestry cmponent. LiteralBindings are often used for literal string values supplied in-line in the component template, but is used for many other things as well, any kind of fixed, read-only value.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LiteralBinding​(Location location, java.lang.String description, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get()` | Reads the current value of the property (or other resource).
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

      `getAnnotation, getBindingGenericType, getBindingType, isInvariant, set`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LiteralBinding

          public LiteralBinding​(Location location,
                                java.lang.String description,
                                java.lang.Object value)

  - ### Method Detail

    - #### get

          public java.lang.Object get()

      Description copied from interface: `Binding`
      Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`